Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 130)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 131)
@@ -63,9 +63,4 @@
 						</xsd:annotation>
 					</xsd:element>
-					<xsd:element name="msl" type="witsml:lengthMeasure" minOccurs="0" maxOccurs="1">
-						<xsd:annotation>
-							<xsd:documentation>Mean sea level (m).</xsd:documentation>
-						</xsd:annotation>
-					</xsd:element>
 				</xsd:sequence>
 			</xsd:extension>
@@ -1833,4 +1828,9 @@
 				<xsd:annotation>
 					<xsd:documentation>Distance drilled during this reporting period. This should be measured along the centerline of the wellbore.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="msl" type="witsml:lengthMeasure" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Water Depth MSL (m).</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 130)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 131)
@@ -45,5 +45,4 @@
 	<witsml:expTempBH uom="C">20</witsml:expTempBH>
 	<witsml:rigType>f</witsml:rigType>
-	<witsml:msl uom="m">15</witsml:msl>
   </witsml:header>
   
@@ -89,4 +88,5 @@
     	<witsml:presTestType>leak off test</witsml:presTestType>
     	<witsml:distDrill uom="m">78.9</witsml:distDrill>
+		<witsml:msl uom="m">15</witsml:msl>
     	<witsml:elevKelly uom="m">23.5</witsml:elevKelly>
     	<witsml:sum24Hr>Yada yada yada</witsml:sum24Hr>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 130)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 131)
@@ -45,8 +45,11 @@
 										</td>
 										<td class="light">
-											<xsl:value-of select="witsml:header/witsml:reportNo" />  <!--$element_header//xsd:element[@name='reportNo']"/>-->
-										</td>
-										<td class="ColHead"><a target="_blank" href="{$urlRDS}">Period:</a>:</td>
-										<td colspan="5"><xsl:value-of select="substring(witsml:dTimStart, 0,17)"/> - <xsl:value-of select="substring(witsml:dTimEnd, 0,17)"/>
+											<xsl:value-of select="witsml:header/witsml:reportNo" />
+											<!--$element_header//xsd:element[@name='reportNo']"/>-->
+										</td>
+										<td class="ColHead">
+											<a target="_blank" href="{$urlRDS}">Period:</a>:</td>
+										<td colspan="5">
+											<xsl:value-of select="substring(witsml:dTimStart, 0,17)"/> - <xsl:value-of select="substring(witsml:dTimEnd, 0,17)"/>
 										</td>
 									</tr>
@@ -122,13 +125,7 @@
 									</tr>
 									<tr class="light">
-										<td class="ColHead">
-											<a target="_blank" href="{$urlRDS}">Mean Sea Level (<xsl:value-of select="witsml:header/witsml:msl/@uom" />):</a>
-										</td>
-										<td class="light">
-											<xsl:value-of select="witsml:header/witsml:msl"/>
-										</td>
-									<!-- END Added 26jan2011 -->
-									<!-- Added 07feb2011 -->
-									<!--</tr>
+										<!-- END Added 26jan2011 -->
+										<!-- Added 07feb2011 -->
+										<!--</tr>
 									<tr class="light">-->
 										<td class="ColHead">
@@ -599,5 +596,5 @@
 						</tr>
 						<tr>
-							<td class="SectionHead">Pipe information</td>
+							<td class="SectionHead">Casing/Liner/Tubing information</td>
 						</tr>
 						<tr>
@@ -868,5 +865,6 @@
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$url_md}">MD At Logging <xsl:value-of select="witsml:cs_cementingFluid/witsml:mdLog/@uom" /></a>
+												<a target="_blank" href="{$url_md}">MD At Logging <xsl:value-of select="witsml:cs_cementingFluid/witsml:mdLog/@uom" />
+												</a>
 											</td>
 											<td align="center" width="100" valign="top">
@@ -919,6 +917,6 @@
 												<td align="center">
 													<xsl:variable name="element_fluidTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='fluidTypes']/xsd:restriction"/>
-												<xsl:variable name="fluidTypes" select="witsml:typeFluid" />
-												<xsl:value-of select="$element_fluidTypes//xsd:enumeration[@value=$fluidTypes]"/>
+													<xsl:variable name="fluidTypes" select="witsml:typeFluid" />
+													<xsl:value-of select="$element_fluidTypes//xsd:enumeration[@value=$fluidTypes]"/>
 												</td>
 												<td align="center">
@@ -1299,5 +1297,7 @@
 												<a target="_blank" href="{$url_mdBottom}">Depth Bottom mMD</a>
 											</td>
-											<td width="60" align="center" valign="top" class="ColHead"><a href="{$url_lenRecovered}" target="_blank">Core length</a><br/>m</td>
+											<td width="60" align="center" valign="top" class="ColHead">
+												<a href="{$url_lenRecovered}" target="_blank">Core length</a>
+												<br/>m</td>
 											<!--<td width="60" align="center" valign="top">
 												<table id="two">
@@ -1310,5 +1310,7 @@
 												</table> 
 											</td>-->
-											<td width="60" align="center" valign="top" class="ColHead"><a href="{$url_lenRecovered}" target="_blank">Recover core</a><br/>%</td>
+											<td width="60" align="center" valign="top" class="ColHead">
+												<a href="{$url_lenRecovered}" target="_blank">Recover core</a>
+												<br/>%</td>
 											<!--<td width="60" align="center" valign="top">
 												<table id="two" width="100%">
@@ -1321,5 +1323,7 @@
 												</table> 
 											</td>-->
-											<td width="60" align="center" valign="top" class="ColHead"><a href="{$url_lenRecovered}" target="_blank">Core barrel length</a><br/>m</td>
+											<td width="60" align="center" valign="top" class="ColHead">
+												<a href="{$url_lenRecovered}" target="_blank">Core barrel length</a>
+												<br/>m</td>
 											<!--<td width="60" align="center" valign="top">
 												<table id="two" width="100%">
@@ -2593,4 +2597,5 @@
 	</xsl:template>
 	<xsl:template match="witsml:wellboreInfo">
+		<xsl:variable name="urlRDS" select="'http://www.posccaesar.org'"/>
 		<xsl:variable name="element_drillReportWellboreInfo" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cs_drillReportWellboreInfo']/xsd:sequence"/>
 		<xsl:variable name="element_drillReportStatusInfo" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cs_drillReportStatusInfo']/xsd:sequence"/>
@@ -2642,5 +2647,5 @@
 			</td>
 			<td class="ColHead">
-				<a href="{$url_elevKelly}" target="_blank">Elevation <xsl:value-of select="../witsml:statusInfo/witsml:elevKelly/@uom"/>:</a>
+				<a href="{$url_elevKelly}" target="_blank">Elevation RKB-MSL (<xsl:value-of select="../witsml:statusInfo/witsml:elevKelly/@uom"/>):</a>
 			</td>
 			<td>
@@ -2662,6 +2667,12 @@
 				<a target="_blank" href="{$url_dateDrillComplete}">Date Well Complete:</a>
 			</td>
-			<td colspan="3">
+			<td class="light">
 				<xsl:value-of select="substring-before(witsml:dateDrillComplete, 'T')"/>
+			</td>
+			<td class="ColHead">
+				<a target="_blank" href="{$urlRDS}">Water Depth MSL (<xsl:value-of select="../witsml:statusInfo/witsml:msl/@uom" />):</a>
+			</td>
+			<td class="light">
+				<xsl:value-of select="../witsml:statusInfo/witsml:msl"/>
 			</td>
 		</tr>