Index: /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 140)
+++ /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 141)
@@ -411,15 +411,15 @@
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">Hours drilled<br />
-													<xsl:value-of select="witsml:bitRun/witsml:eTimOpBit/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:eTimOpBit/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">MD start<br />
-													<xsl:value-of select="witsml:bitRun/witsml:mdHoleStart/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdHoleStart/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">MD end<br />
-													<xsl:value-of select="witsml:bitRun/witsml:mdHoleStop/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop/@uom"/>
 												</a>
 											</td>
@@ -429,30 +429,30 @@
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">Hole made (run)<br />
-													<xsl:value-of select="witsml:bitRun/witsml:mdHoleMadeRun/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdHoleMadeRun/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">Hours drilled (run)<br />
-													<xsl:value-of select="witsml:bitRun/witsml:hrsDrilledRun/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:hrsDrilledRun/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">ROP<br />
-													<xsl:value-of select="witsml:bitRun/witsml:ropAv/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:ropAv/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">Total hole made<br />
-													<xsl:value-of select="witsml:bitRun/witsml:mdTotHoleMade/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdTotHoleMade/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">Total hours drilled<br />
-													<xsl:value-of select="witsml:bitRun/witsml:totHrsDrilled/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:totHrsDrilled/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
 												<a target="_blank" href="{$urlRDS}">Total ROP<br />
-													<xsl:value-of select="witsml:bitRun/witsml:ropMx/@uom"/>
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:ropMx/@uom"/>
 												</a>
 											</td>
@@ -542,13 +542,13 @@
 										</td>
 										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Nominal outside diameter <xsl:value-of select="witsml:casing_liner_tubing/witsml:OD/@uom"/>
+											<a target="_blank" href="{$urlRDS}">Nominal outside diameter<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:od/@uom"/>
 											</a>
 										</td>
 										<td align="center" width="100" valign="top">
-											<a target="_blank" href="{$urlRDS}">Nominal inside diameter <xsl:value-of select="witsml:casing_liner_tubing/witsml:ID/@uom"/>
+											<a target="_blank" href="{$urlRDS}">Nominal inside diameter<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:id/@uom"/>
 											</a>
 										</td>
 										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Nominal Weight <xsl:value-of select="witsml:casing_liner_tubing/witsml:weight/@uom"/>
+											<a target="_blank" href="{$urlRDS}">Nominal Weight<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:weight/@uom"/>
 											</a>
 										</td>
@@ -560,13 +560,13 @@
 										</td>
 										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Length <xsl:value-of select="witsml:casing_liner_tubing/witsml:length/@uom"/>
+											<a target="_blank" href="{$urlRDS}">Length<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:length/@uom"/>
 											</a>
 										</td>
 										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Top/Hangar MD <xsl:value-of select="witsml:casing_liner_tubing/witsml:MDTopHangar/@uom"/>
+											<a target="_blank" href="{$urlRDS}">Top/Hangar MD<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:mdTop/@uom"/>
 											</a>
 										</td>
 										<td align="center" width="60" valign="top">
-											<a target="_blank" href="{$urlRDS}">Bottom/Shoe MD <xsl:value-of select="witsml:casing_liner_tubing/witsml:MDBottomShoe/@uom"/>
+											<a target="_blank" href="{$urlRDS}">Bottom/Shoe MD<br /><xsl:value-of select="witsml:casing_liner_tubing/witsml:mdBottom/@uom"/>
 											</a>
 										</td>