Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 142)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 143)
@@ -113,4 +113,21 @@
 			</witsml:bitRun>
 		</witsml:bitRecord>
+		<witsml:bitRecord>
+			<witsml:diaBit uom="in">42.2</witsml:diaBit>
+			<witsml:numBit>2</witsml:numBit>
+			<witsml:codeMfg>SSB</witsml:codeMfg>
+			<witsml:dullGrade>0/4/BT/B/X/I/BU/DTF</witsml:dullGrade>
+			<witsml:bitRun>
+				<witsml:eTimOpBit uom="h">3</witsml:eTimOpBit>
+				<witsml:mdHoleStart uom="m">24</witsml:mdHoleStart>
+				<witsml:mdHoleStop uom="m">32</witsml:mdHoleStop>
+				<witsml:ropAv uom="m/h">2</witsml:ropAv>
+				<witsml:ropMx uom="m/h">5</witsml:ropMx>
+				<witsml:mdHoleMadeRun uom="m">7</witsml:mdHoleMadeRun>
+				<witsml:hrsDrilledRun uom="h">3</witsml:hrsDrilledRun>
+				<witsml:mdTotHoleMade uom="m">15</witsml:mdTotHoleMade>
+				<witsml:totHrsDrilled uom="h">22</witsml:totHrsDrilled>
+			</witsml:bitRun>
+		</witsml:bitRecord>
 		<witsml:casing_liner_tubing>
 			<witsml:type>c</witsml:type>
@@ -127,4 +144,36 @@
 				<witsml:description>bla bla bla..</witsml:description>
 				<witsml:dTimStart>2011-02-07T12:00:00.000Z</witsml:dTimStart>
+			</witsml:casing_liner_tubing_run>
+		</witsml:casing_liner_tubing>
+		<witsml:casing_liner_tubing>
+			<witsml:type>l</witsml:type>
+			<witsml:id uom="in">10</witsml:id>
+			<witsml:od uom="in">13</witsml:od>
+			<witsml:weight uom="lbm/ft">63</witsml:weight>
+			<witsml:grade>11</witsml:grade>
+			<witsml:connection>3</witsml:connection>
+			<witsml:length uom="m">45</witsml:length>
+			<witsml:mdTop uom="m">40</witsml:mdTop>
+			<witsml:mdBottom uom="m">46</witsml:mdBottom>
+			<witsml:casing_liner_tubing_run>
+				<witsml:kind>Intermediate</witsml:kind>
+				<witsml:description>bla bla bla..</witsml:description>
+				<witsml:dTimStart>2011-02-07T13:00:00.000Z</witsml:dTimStart>
+			</witsml:casing_liner_tubing_run>
+		</witsml:casing_liner_tubing>
+		<witsml:casing_liner_tubing>
+			<witsml:type>t</witsml:type>
+			<witsml:id uom="in">12</witsml:id>
+			<witsml:od uom="in">21</witsml:od>
+			<witsml:weight uom="lbm/ft">40</witsml:weight>
+			<witsml:grade>13</witsml:grade>
+			<witsml:connection>4</witsml:connection>
+			<witsml:length uom="m">56</witsml:length>
+			<witsml:mdTop uom="m">54</witsml:mdTop>
+			<witsml:mdBottom uom="m">58</witsml:mdBottom>
+			<witsml:casing_liner_tubing_run>
+				<witsml:kind>Production</witsml:kind>
+				<witsml:description>bla bla bla..</witsml:description>
+				<witsml:dTimStart>2011-02-07T15:00:00.000Z</witsml:dTimStart>
 			</witsml:casing_liner_tubing_run>
 		</witsml:casing_liner_tubing>
@@ -148,5 +197,5 @@
 				<witsml:dTimTest>2011-02-07T17:00:00.000Z</witsml:dTimTest>
 				<witsml:mdLog uom="m">15</witsml:mdLog>
-				<witsml:typeFluid>m</witsml:typeFluid>
+				<witsml:typeFluid>sp</witsml:typeFluid>
 				<witsml:descFluid>bla bla bla...</witsml:descFluid>
 				<witsml:ratioMixWater uom="galUS/sack94">15</witsml:ratioMixWater>
@@ -164,13 +213,13 @@
 			<witsml:dTimPumpEnd>2011-02-07T15:00:00.000Z</witsml:dTimPumpEnd>
 			<witsml:jobType>Casing and liner</witsml:jobType>
-			<witsml:casingStrDia uom="in">16</witsml:casingStrDia>
+			<witsml:casingStrDia uom="in">18</witsml:casingStrDia>
 			<witsml:comment>bla bla bla...</witsml:comment>
 			<witsml:volReturns uom="m3">25</witsml:volReturns>
 			<witsml:eTimPresHeld>2011-02-07T14:00:00.000Z</witsml:eTimPresHeld>
 			<witsml:annFlowAfter>false</witsml:annFlowAfter>
-			<witsml:topPlug>false</witsml:topPlug>
-			<witsml:botPlug>true</witsml:botPlug>
-			<witsml:plugBumped>false</witsml:plugBumped>
-			<witsml:presBump uom="bar">200</witsml:presBump>
+			<witsml:topPlug>true</witsml:topPlug>
+			<witsml:botPlug>false</witsml:botPlug>
+			<witsml:plugBumped>true</witsml:plugBumped>
+			<witsml:presBump uom="bar">250</witsml:presBump>
 			<witsml:floatFailed>false</witsml:floatFailed>
 			<witsml:reciprocated>false</witsml:reciprocated>
@@ -181,11 +230,25 @@
 				<witsml:typeFluid>m</witsml:typeFluid>
 				<witsml:descFluid>bla bla bla...</witsml:descFluid>
-				<witsml:ratioMixWater uom="galUS/sack94">15</witsml:ratioMixWater>
-				<witsml:density uom="sg">30</witsml:density>
-				<witsml:volPumped uom="m3">15</witsml:volPumped>
-				<witsml:pv uom="mPa">20</witsml:pv>
-				<witsml:yp uom="ft3/sack94">12</witsml:yp>
-				<witsml:eTimThickening uom="h">5</witsml:eTimThickening>
-				<witsml:pcFreeWater uom="%">20</witsml:pcFreeWater>
+				<witsml:ratioMixWater uom="galUS/sack94">18</witsml:ratioMixWater>
+				<witsml:density uom="sg">27</witsml:density>
+				<witsml:volPumped uom="m3">8</witsml:volPumped>
+				<witsml:pv uom="mPa">12</witsml:pv>
+				<witsml:yp uom="ft3/sack94">19</witsml:yp>
+				<witsml:eTimThickening uom="h">2</witsml:eTimThickening>
+				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
+				<witsml:comment>bla bla bla...</witsml:comment>
+			</witsml:cementingFluid>
+			<witsml:cementingFluid>
+				<witsml:dTimTest>2011-02-07T13:15:00.000Z</witsml:dTimTest>
+				<witsml:mdLog uom="m">16</witsml:mdLog>
+				<witsml:typeFluid>w</witsml:typeFluid>
+				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:ratioMixWater uom="galUS/sack94">25</witsml:ratioMixWater>
+				<witsml:density uom="sg">24</witsml:density>
+				<witsml:volPumped uom="m3">13</witsml:volPumped>
+				<witsml:pv uom="mPa">6</witsml:pv>
+				<witsml:yp uom="ft3/sack94">24</witsml:yp>
+				<witsml:eTimThickening uom="h">3</witsml:eTimThickening>
+				<witsml:pcFreeWater uom="%">15</witsml:pcFreeWater>
 				<witsml:comment>bla bla bla...</witsml:comment>
 			</witsml:cementingFluid>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 142)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 143)
@@ -753,5 +753,5 @@
 							</tr>
 							<tr>
-								<td class="SectionHead">Cement Fluid Details</td>
+								<td class="SectionHead">Cementing Fluid Details</td>
 							</tr>
 							<xsl:variable name="element_fluid" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cementingFluid']/xsd:sequence"/>