Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 146)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 150)
@@ -1,7 +1,12 @@
 <?xml version="1.0" encoding="utf-8" ?>
-<xsd:schema xmlns:witsml="http://www.witsml.org/schemas/1series" xmlns:abs="http://www.energistics.org/schemas/abstract"
-	 xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:gml="http://www.opengis.net/gml/3.2"
-	 xmlns:sawsdl="http://www.w3.org/ns/sawsdl" elementFormDefault="qualified" attributeFormDefault="unqualified"
-	 targetNamespace="http://www.witsml.org/schemas/1series">
+<xsd:schema 
+	elementFormDefault="qualified" 
+	attributeFormDefault="unqualified"
+	targetNamespace="http://www.witsml.org/schemas/1series"
+	xmlns:witsml="http://www.witsml.org/schemas/1series" 
+	xmlns:abs="http://www.energistics.org/schemas/abstract"
+	xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
+	xmlns:gml="http://www.opengis.net/gml/3.2"
+	xmlns:sawsdl="http://www.w3.org/ns/sawsdl">
 	<!--                                                         -->
 
@@ -422,5 +427,5 @@
 			<!-- PROFILE: Deleted element presSqueezeHeld -->
 			<!-- PROFILE: Deleted element presSqueeze -->
-			<xsd:element name="eTimPresHeld" type="witsml:timeMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="eTimPresHeld" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Time pressure held.</xsd:documentation>
@@ -474,4 +479,9 @@
 				</xsd:annotation>
 			</xsd:element>
+			<xsd:element name="floatHeld" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Float held? Values are "true" (or "1") and "false" (of "0").</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
 			<xsd:element name="reciprocated" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -487,5 +497,4 @@
 			</xsd:element>
 			<!-- PROFILE: Deleted element presHeld -->
-			<!-- PROFILE: Deleted element floatHeld -->
 			<!-- PROFILE: Deleted element volMudLost -->
 			<!-- PROFILE: Deleted element fluidDisplace -->
@@ -532,5 +541,5 @@
 			</xsd:element>
 			<!-- PROFILE: Deleted element fluidIndex -->
-			<xsd:element name="descFluid" type="witsml:shortDescriptionString" minOccurs="0" maxOccurs="1">
+			<xsd:element name="descFluid" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Fluid description.</xsd:documentation>
@@ -1673,5 +1682,5 @@
 		<xsd:sequence>
 			<xsd:element name="reportNo" type="witsml:positiveCount" minOccurs="0" maxOccurs="1">
-			<!-- PROFILE: Added element reportNo -->
+				<!-- PROFILE: Added element reportNo -->
 				<xsd:annotation>
 					<xsd:documentation>Sequence number of daily drilling report.</xsd:documentation>
@@ -2365,5 +2374,5 @@
 		</xsd:annotation>
 		<xsd:sequence>
-			<xsd:element name="kind" type="witsml:stimStageType" minOccurs="1" maxOccurs="1">
+			<xsd:element name="tubularJobType" type="witsml:tubularJobTypes" minOccurs="1" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>The type of stage for the stimulation job.</xsd:documentation>
@@ -2483,5 +2492,5 @@
 	</xsd:simpleType>
 	<!-- Casing type -->
-	<xsd:simpleType name="stimStageType">
+	<xsd:simpleType name="tubularJobTypes">
 		<xsd:annotation>
 			<xsd:documentation>The type of casing, used to determant which type of casing is used.</xsd:documentation>
@@ -5926,4 +5935,6 @@
 			<xsd:enumeration value="cmH2O(4degC)"/>
 			<xsd:enumeration value="dyne/cm2"/>
+			<xsd:enumeration value="ft3/sack"/>
+			<xsd:enumeration value="ft3/sack94"/>
 			<xsd:enumeration value="GPa"/>
 			<xsd:enumeration value="hbar"/>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 146)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 150)
@@ -65,5 +65,5 @@
 		</witsml:wellboreInfo>
 		<witsml:statusInfo>
-			<witsml:periodOfOperation>2011-02-07T00:00:00 - 2011-02-07T00:00:00</witsml:periodOfOperation>
+			<!--<witsml:periodOfOperation>2011-02-07T00:00:00 - 2011-02-07T00:00:00</witsml:periodOfOperation>-->
 			<witsml:reportNo>1</witsml:reportNo>
 			<witsml:dTim>2001-12-31T12:00:00.000Z</witsml:dTim>
@@ -138,5 +138,5 @@
 			<witsml:mdBottom uom="m">42</witsml:mdBottom>
 			<witsml:casing_liner_tubing_run>
-				<witsml:kind>Top</witsml:kind>
+				<witsml:tubularJobType>Top</witsml:tubularJobType>
 				<witsml:description>bla bla bla..</witsml:description>
 				<witsml:dTimStart>2011-02-07T12:00:00.000Z</witsml:dTimStart>
@@ -154,5 +154,5 @@
 			<witsml:mdBottom uom="m">46</witsml:mdBottom>
 			<witsml:casing_liner_tubing_run>
-				<witsml:kind>Intermediate</witsml:kind>
+				<witsml:tubularJobType>Intermediate</witsml:tubularJobType>
 				<witsml:description>bla bla bla..</witsml:description>
 				<witsml:dTimStart>2011-02-07T13:00:00.000Z</witsml:dTimStart>
@@ -170,5 +170,5 @@
 			<witsml:mdBottom uom="m">58</witsml:mdBottom>
 			<witsml:casing_liner_tubing_run>
-				<witsml:kind>Production</witsml:kind>
+				<witsml:tubularJobType>Production</witsml:tubularJobType>
 				<witsml:description>bla bla bla..</witsml:description>
 				<witsml:dTimStart>2011-02-07T15:00:00.000Z</witsml:dTimStart>
@@ -180,6 +180,17 @@
 			<witsml:jobType>Cement squeeze</witsml:jobType>
 			<witsml:casingStrDia uom="in">16</witsml:casingStrDia>
-			<witsml:comment>bla bla bla...</witsml:comment>
+			<witsml:comments>bla bla bla...</witsml:comments>
 			<witsml:volReturns uom="m3">25</witsml:volReturns>
+			<witsml:cementingFluid>
+				<witsml:typeFluid>Spacer</witsml:typeFluid>
+				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:ratioMixWater uom="gal/sack">15</witsml:ratioMixWater>
+				<witsml:density uom="sg">30</witsml:density>
+				<witsml:volPumped uom="m3">15</witsml:volPumped>
+				<witsml:yp uom="ft3/sack">12</witsml:yp>
+				<witsml:eTimThickening uom="h">5</witsml:eTimThickening>
+				<witsml:pcFreeWater uom="%">20</witsml:pcFreeWater>
+				<witsml:comments>bla bla bla...</witsml:comments>
+			</witsml:cementingFluid>
 			<witsml:eTimPresHeld>2011-02-07T14:00:00.000Z</witsml:eTimPresHeld>
 			<witsml:annFlowAfter>false</witsml:annFlowAfter>
@@ -188,21 +199,7 @@
 			<witsml:plugBumped>false</witsml:plugBumped>
 			<witsml:presBump uom="bar">200</witsml:presBump>
-			<witsml:floatFailed>false</witsml:floatFailed>
+			<witsml:floatHeld>true</witsml:floatHeld>
 			<witsml:reciprocated>false</witsml:reciprocated>
 			<witsml:rotated>true</witsml:rotated>
-			<witsml:cementingFluid>
-				<witsml:dTimTest>2011-02-07T17:00:00.000Z</witsml:dTimTest>
-				<witsml:mdLog uom="m">15</witsml:mdLog>
-				<witsml:typeFluid>Spacer</witsml:typeFluid>
-				<witsml:descFluid>bla bla bla...</witsml:descFluid>
-				<witsml:ratioMixWater uom="galUS/sack94">15</witsml:ratioMixWater>
-				<witsml:density uom="sg">30</witsml:density>
-				<witsml:volPumped uom="m3">15</witsml:volPumped>
-				<witsml:pv uom="mPa">20</witsml:pv>
-				<witsml:yp uom="ft3/sack94">12</witsml:yp>
-				<witsml:eTimThickening uom="h">5</witsml:eTimThickening>
-				<witsml:pcFreeWater uom="%">20</witsml:pcFreeWater>
-				<witsml:comment>bla bla bla...</witsml:comment>
-			</witsml:cementingFluid>
 		</witsml:cementStage>
 		<witsml:cementStage>
@@ -211,6 +208,17 @@
 			<witsml:jobType>Casing and liner</witsml:jobType>
 			<witsml:casingStrDia uom="in">18</witsml:casingStrDia>
-			<witsml:comment>bla bla bla...</witsml:comment>
+			<witsml:comments>bla bla bla...</witsml:comments>
 			<witsml:volReturns uom="m3">25</witsml:volReturns>
+			<witsml:cementingFluid>
+				<witsml:typeFluid>Mud</witsml:typeFluid>
+				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:ratioMixWater uom="gal/sack">18</witsml:ratioMixWater>
+				<witsml:density uom="sg">27</witsml:density>
+				<witsml:volPumped uom="m3">8</witsml:volPumped>
+				<witsml:yp uom="ft3/sack">19</witsml:yp>
+				<witsml:eTimThickening uom="h">2</witsml:eTimThickening>
+				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
+				<witsml:comments>bla bla bla...</witsml:comments>
+			</witsml:cementingFluid>
 			<witsml:eTimPresHeld>2011-02-07T14:00:00.000Z</witsml:eTimPresHeld>
 			<witsml:annFlowAfter>false</witsml:annFlowAfter>
@@ -219,35 +227,7 @@
 			<witsml:plugBumped>true</witsml:plugBumped>
 			<witsml:presBump uom="bar">250</witsml:presBump>
-			<witsml:floatFailed>false</witsml:floatFailed>
+			<witsml:floatHeld>true</witsml:floatHeld>
 			<witsml:reciprocated>false</witsml:reciprocated>
 			<witsml:rotated>true</witsml:rotated>
-			<witsml:cementingFluid>
-				<witsml:dTimTest>2011-02-07T12:00:00.000Z</witsml:dTimTest>
-				<witsml:mdLog uom="m">15</witsml:mdLog>
-				<witsml:typeFluid>Mud</witsml:typeFluid>
-				<witsml:descFluid>bla bla bla...</witsml:descFluid>
-				<witsml:ratioMixWater uom="galUS/sack94">18</witsml:ratioMixWater>
-				<witsml:density uom="sg">27</witsml:density>
-				<witsml:volPumped uom="m3">8</witsml:volPumped>
-				<witsml:pv uom="mPa">12</witsml:pv>
-				<witsml:yp uom="ft3/sack94">19</witsml:yp>
-				<witsml:eTimThickening uom="h">2</witsml:eTimThickening>
-				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
-				<witsml:comment>bla bla bla...</witsml:comment>
-			</witsml:cementingFluid>
-			<witsml:cementingFluid>
-				<witsml:dTimTest>2011-02-07T13:15:00.000Z</witsml:dTimTest>
-				<witsml:mdLog uom="m">16</witsml:mdLog>
-				<witsml:typeFluid>Wash</witsml:typeFluid>
-				<witsml:descFluid>bla bla bla...</witsml:descFluid>
-				<witsml:ratioMixWater uom="galUS/sack94">25</witsml:ratioMixWater>
-				<witsml:density uom="sg">24</witsml:density>
-				<witsml:volPumped uom="m3">13</witsml:volPumped>
-				<witsml:pv uom="mPa">6</witsml:pv>
-				<witsml:yp uom="ft3/sack94">24</witsml:yp>
-				<witsml:eTimThickening uom="h">3</witsml:eTimThickening>
-				<witsml:pcFreeWater uom="%">15</witsml:pcFreeWater>
-				<witsml:comment>bla bla bla...</witsml:comment>
-			</witsml:cementingFluid>
 		</witsml:cementStage>
 		<witsml:fluid>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 146)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 150)
@@ -37,5 +37,5 @@
 							<xsl:variable name="element_statusInfo" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='statusInfo']/xsd:sequence"/>
 							<td>
-								<table id="table1">
+								<table id="table1" width="100%">
 									<!-- Added/changed 18jan2011 -->
 									<tr class="light">
@@ -47,6 +47,6 @@
 										</td>
 										<td class="ColHead">
-											<a target="_blank" href="{$urlRDS}">Period:</a>:</td>
-										<td colspan="5">
+											<a target="_blank" href="{$urlRDS}">Period:</a></td>
+										<td colspan="2">
 											<xsl:value-of select="substring(witsml:dTimStart, 0,17)"/> - <xsl:value-of select="substring(witsml:dTimEnd, 0,17)"/>
 										</td>
@@ -539,6 +539,6 @@
 												</td>
 												<td align="center">
-													<xsl:variable name="element_casing" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='stimStageType']/xsd:restriction"/>
-													<xsl:variable name="casingTypes" select="witsml:casing_liner_tubing_run/witsml:kind" />
+													<xsl:variable name="element_casing" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='tubularJobTypes']/xsd:restriction"/>
+													<xsl:variable name="casingTypes" select="witsml:casing_liner_tubing_run/witsml:tubularJobType" />
 													<xsl:value-of select="$element_casing//xsd:enumeration[@value=$casingTypes]"/>
 												</td>
@@ -667,5 +667,5 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:comment"/>
+													<xsl:value-of select="witsml:comments"/>
 												</td>
 												<td align="center">
@@ -676,5 +676,5 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:plugBumped"/>
+													<xsl:value-of select="not(witsml:plugBumped)"/>
 												</td>
 												<td align="center">
@@ -682,5 +682,5 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:floatFailed"/>
+													<xsl:value-of select="not(witsml:floatHeld)"/>
 												</td>
 												<td align="center">
@@ -737,11 +737,4 @@
 										<table id="table2">
 											<tr>
-												<td align="left"  width="60" valign="top">
-													<a target="_blank" href="{$url_dTimFluid}">Sample Time</a>
-												</td>
-												<td align="center" width="60" valign="top">
-													<a target="_blank" href="{$url_mdFluid}">MD At Logging <xsl:value-of select="witsml:cementingFluid/witsml:mdLog/@uom" />
-													</a>
-												</td>
 												<td align="center" width="100" valign="top">
 													<a target="_blank" href="{$url_mudClass}">Fluid Type</a>
@@ -756,8 +749,4 @@
 												<td align="center" width="100" valign="top">
 													<a target="_blank" href="{$url_density}">Fluid Density <xsl:value-of select="witsml:cementingFluid/witsml:density/@uom"/>
-													</a>
-												</td>
-												<td align="center" width="120" valign="top">
-													<a target="_blank" href="{$url_pv}">Fluid Viscosity <xsl:value-of select="witsml:cementingFluid/witsml:pv/@uom"/>
 													</a>
 												</td>
@@ -785,10 +774,4 @@
 											<xsl:for-each select="witsml:cementingFluid">
 												<tr class="light">
-													<td>
-														<xsl:value-of select="substring(witsml:dTimTest, 0, 17)"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:mdLog"/>
-													</td>
 													<td align="center">
 														<xsl:variable name="element_fluidTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='fluidTypes']/xsd:restriction"/>
@@ -806,7 +789,4 @@
 													</td>
 													<td align="center">
-														<xsl:value-of select="witsml:pv"/>
-													</td>
-													<td align="center">
 														<xsl:value-of select="witsml:yp"/>
 													</td>
@@ -821,5 +801,5 @@
 													</td>
 													<td align="center">
-														<xsl:value-of select="witsml:comment"/>
+														<xsl:value-of select="witsml:comments"/>
 													</td>
 												</tr>
@@ -2522,4 +2502,6 @@
 				<xsl:value-of select="witsml:rigAlias[witsml:namingSystem='NPD code']/witsml:name"/>
 			</td>
+			</tr>
+			<tr class="light">
 			<td class="ColHead">
 				<a href="{$url_elevKelly}" target="_blank">Elevation RKB-MSL (<xsl:value-of select="../witsml:statusInfo/witsml:elevKelly/@uom"/>):</a>
@@ -2527,4 +2509,10 @@
 			<td>
 				<xsl:value-of select="../witsml:statusInfo/witsml:elevKelly"/>
+			</td>
+			<td class="ColHead">
+				<a target="_blank" href="{$urlRDS}">Water Depth MSL (<xsl:value-of select="../witsml:statusInfo/witsml:waterDepth/@uom" />):</a>
+			</td>
+			<td class="light">
+				<xsl:value-of select="../witsml:statusInfo/witsml:waterDepth"/>
 			</td>
 		</tr>
@@ -2545,10 +2533,4 @@
 			<td class="light">
 				<xsl:value-of select="substring-before(witsml:dateDrillComplete, 'T')"/>
-			</td>
-			<td class="ColHead">
-				<a target="_blank" href="{$urlRDS}">Water Depth MSL (<xsl:value-of select="../witsml:statusInfo/witsml:waterDepth/@uom" />):</a>
-			</td>
-			<td class="light">
-				<xsl:value-of select="../witsml:statusInfo/witsml:waterDepth"/>
 			</td>
 		</tr>
@@ -2648,8 +2630,6 @@
 				<xsl:value-of select="$element_rigTypes//xsd:enumeration[@value=$element_rigType]" />
 			</td>
-		</tr>
 		<!-- END Added 07feb2011 -->
 		<!-- wellbore type and kick off -->
-		<tr class="light">
 			<td class="dark">
 				<a target="_blank" href="{$url_typeWellbore}">Wellbore type:</a>
@@ -2658,4 +2638,6 @@
 				<xsl:value-of select="witsml:typeWellbore"/>
 			</td>
+			</tr>
+			<tr class="light">
 			<td class="dark">
 				<a target="_blank" href="{$url_mdKickoff}">Depth at Kick Off mMD:</a>
@@ -2684,4 +2666,6 @@
 				<xsl:value-of select="witsml:tvd"/>
 			</td>
+			</tr>
+			<tr class="light">
 			<td>
 				<a target="_blank" href="{$url_mdPlugTop}">Plug Back Depth mMD:</a>
@@ -2690,6 +2674,4 @@
 				<xsl:value-of select="witsml:mdPlugTop"/>
 			</td>
-		</tr>
-		<tr class="light">
 			<td class="dark">
 				<a target="_blank" href="{$url_distDrill}">Dist Drilled <xsl:value-of select="witsml:distDrill/@uom"/>:</a>
@@ -2698,4 +2680,6 @@
 				<xsl:value-of select="witsml:distDrill"/>
 			</td>
+			</tr>
+		<tr class="light">
 			<!-- 
 			<td class="dark"><a target="_blank" href="{$urlRDS}">Depth planned mMD:</a></td>
@@ -2705,10 +2689,8 @@
 				<a target="_blank" href="{$url_ropCurrent}">Penetration Rate <xsl:value-of select="witsml:ropCurrent/@uom"/>:</a>
 			</td>
-			<td colspan="3">
+			<td class="light">
 				<xsl:value-of select="witsml:ropCurrent"/>
 			</td>
-		</tr>
 		<!-- hole dia -->
-		<tr class="light">
 			<td width="160">
 				<a target="_blank" href="{$url_diaHole}">Hole Dia <xsl:value-of select="witsml:diaHole/@uom"/>:</a>
@@ -2717,13 +2699,13 @@
 				<xsl:value-of select="witsml:diaHole"/>
 			</td>
+			</tr>
+		<tr class="light">
 			<td>
 				<a target="_blank" href="{$url_presTestType}">Pressure Test Type:</a>
 			</td>
-			<td colspan="3">
+			<td class="light">
 				<xsl:value-of select="witsml:presTestType"/>
 			</td>
-		</tr>
 		<!-- formation strength and  pressure test -->
-		<tr class="light">
 			<td width="160">
 				<a target="_blank" href="{$url_strengthForm}">Formation Strength <xsl:value-of select="witsml:strengthForm/@uom"/>:</a>
@@ -2732,4 +2714,6 @@
 				<xsl:value-of select="witsml:strengthForm"/>
 			</td>
+			</tr>
+		<tr class="light">
 			<td width="215">
 				<a target="_blank" href="{$url_mdStrengthForm}">Depth At Formation Strength mMD:</a>