Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 150)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 152)
@@ -332,5 +332,5 @@
 				<!-- PROFILE: Added element mdTotHoleMade. -->
 				<xsd:annotation>
-					<xsd:documentation>Measured depth made totally.</xsd:documentation>
+					<xsd:documentation>Total accumulated Measured depth for the entire run.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
@@ -338,5 +338,5 @@
 				<!-- PROFILE: Added element totHrsDrilled. -->
 				<xsd:annotation>
-					<xsd:documentation>Hours drilled totally.</xsd:documentation>
+					<xsd:documentation>Total accumulated Hours of drilling for the entire run.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 150)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 152)
@@ -94,5 +94,5 @@
 		</witsml:statusInfo>
 		<witsml:bitRecord>
-			<witsml:diaBit uom="in">46.6</witsml:diaBit>
+			<witsml:diaBit uom="in">24,6</witsml:diaBit>
 			<witsml:numBit>1</witsml:numBit>
 			<witsml:codeMfg>SSB</witsml:codeMfg>
@@ -111,5 +111,5 @@
 		</witsml:bitRecord>
 		<witsml:bitRecord>
-			<witsml:diaBit uom="in">42.2</witsml:diaBit>
+			<witsml:diaBit uom="in">12.2</witsml:diaBit>
 			<witsml:numBit>2</witsml:numBit>
 			<witsml:codeMfg>SSB</witsml:codeMfg>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 150)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 152)
@@ -47,5 +47,6 @@
 										</td>
 										<td class="ColHead">
-											<a target="_blank" href="{$urlRDS}">Period:</a></td>
+											<a target="_blank" href="{$urlRDS}">Period:</a>
+										</td>
 										<td colspan="2">
 											<xsl:value-of select="substring(witsml:dTimStart, 0,17)"/> - <xsl:value-of select="substring(witsml:dTimEnd, 0,17)"/>
@@ -377,36 +378,36 @@
 												</a>
 											</td>
+											<td align="center" width="60" valign="top">
+												<a target="_blank" href="{$urlRDS}">Hole made (last 24H)<br />
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop/@uom"/>
+												</a>
+											</td>
+											<td align="center" width="60" valign="top">
+												<a target="_blank" href="{$urlRDS}">Hours drilled (last 24H)<br />
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:eTimOpBit/@uom"/>
+												</a>
+											</td>
+											<td align="center" width="60" valign="top">
+												<a target="_blank" href="{$urlRDS}">ROP<br />(last 24H)<br />
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:ropAv/@uom"/>
+												</a>
+											</td>
+											<td align="center" width="60" valign="top">
+												<a target="_blank" href="{$urlRDS}">Total<br />hole made<br />
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdTotHoleMade/@uom"/>
+												</a>
+											</td>
+											<td align="center" width="60" valign="top">
+												<a target="_blank" href="{$urlRDS}">Total hours drilled<br />
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:totHrsDrilled/@uom"/>
+												</a>
+											</td>
+											<td align="center" width="60" valign="top">
+												<a target="_blank" href="{$urlRDS}">Total ROP<br />
+													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:ropMx/@uom"/>
+												</a>
+											</td>
 											<td align="center" width="120" valign="top">
 												<a target="_blank" href="{$urlRDS}">Dull grade</a>
-											</td>
-											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">Hole made (run)<br />
-													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdHoleMadeRun/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">Hours drilled (run)<br />
-													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:hrsDrilledRun/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">ROP<br />
-													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:ropAv/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">Total hole made<br />
-													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdTotHoleMade/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">Total hours drilled<br />
-													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:totHrsDrilled/@uom"/>
-												</a>
-											</td>
-											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">Total ROP<br />
-													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:ropMx/@uom"/>
-												</a>
 											</td>
 										</tr>
@@ -432,23 +433,23 @@
 												</td>
 												<td align="center">
+													<xsl:value-of select="witsml:bitRun/witsml:mdHoleStop - witsml:bitRun/witsml:mdHoleStart"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:bitRun/witsml:eTimOpBit"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:bitRun/witsml:ropAv"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:bitRun/witsml:mdTotHoleMade"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:bitRun/witsml:totHrsDrilled"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:bitRun/witsml:ropMx"/>
+												</td>
+												<td align="center">
 													<xsl:value-of select="witsml:dullGrade"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:bitRun/witsml:mdHoleMadeRun"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:bitRun/witsml:hrsDrilledRun"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:bitRun/witsml:ropAv"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:bitRun/witsml:mdTotHoleMade"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:bitRun/witsml:totHrsDrilled"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:bitRun/witsml:ropMx"/>
 												</td>
 											</tr>
@@ -625,5 +626,5 @@
 												</td>
 												<td align="center" width="60" valign="top">
-													<a target="_blank" href="{$urlRDS}">Plug failed to bump</a>
+													<a target="_blank" href="{$urlRDS}">Plug bumped</a>
 												</td>
 												<td align="center" width="60" valign="top">
@@ -632,5 +633,5 @@
 												</td>
 												<td align="center" width="60" valign="top">
-													<a target="_blank" href="{$urlRDS}">Float failed</a>
+													<a target="_blank" href="{$urlRDS}">Float held</a>
 												</td>
 												<td align="center" width="60" valign="top">
@@ -670,11 +671,14 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:topPlug"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:botPlug"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="not(witsml:plugBumped)"/>
+													<xsl:if test="witsml:topPlug='true'">yes</xsl:if>
+													<xsl:if test="witsml:topPlug='false'">no</xsl:if>
+												</td>
+												<td align="center">
+													<xsl:if test="witsml:botPlug='true'">yes</xsl:if>
+													<xsl:if test="witsml:botPlug='false'">no</xsl:if>
+												</td>
+												<td align="center">
+													<xsl:if test="witsml:plugBumped='true'">yes</xsl:if>
+													<xsl:if test="witsml:plugBumped='false'">no</xsl:if>
 												</td>
 												<td align="center">
@@ -682,5 +686,6 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="not(witsml:floatHeld)"/>
+													<xsl:if test="witsml:floatHeld='true'">yes</xsl:if>
+													<xsl:if test="witsml:floatHeld='false'">no</xsl:if>
 												</td>
 												<td align="center">
@@ -688,5 +693,6 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:annFlowAfter"/>
+													<xsl:if test="witsml:annFlowAfter='true'">yes</xsl:if>
+													<xsl:if test="witsml:annFlowAfter='false'">no</xsl:if>
 												</td>
 												<td align="center">
@@ -694,8 +700,10 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:reciprocated"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:rotated"/>
+													<xsl:if test="witsml:reciprocated='true'">yes</xsl:if>
+													<xsl:if test="witsml:reciprocated='false'">no</xsl:if>
+												</td>
+												<td align="center">
+													<xsl:if test="witsml:rotated='true'">yes</xsl:if>
+													<xsl:if test="witsml:rotated='false'">no</xsl:if>
 												</td>
 											</tr>
@@ -1580,5 +1588,6 @@
 												</td>
 												<td valign="top" align="center">
-													<xsl:value-of select="witsml:goodSeal"/>
+													<xsl:if test="witsml:goodSeal='true'">yes</xsl:if>
+													<xsl:if test="witsml:goodSeal='false'">no</xsl:if>
 												</td>
 												<td valign="top" align="center">
@@ -2502,6 +2511,6 @@
 				<xsl:value-of select="witsml:rigAlias[witsml:namingSystem='NPD code']/witsml:name"/>
 			</td>
-			</tr>
-			<tr class="light">
+		</tr>
+		<tr class="light">
 			<td class="ColHead">
 				<a href="{$url_elevKelly}" target="_blank">Elevation RKB-MSL (<xsl:value-of select="../witsml:statusInfo/witsml:elevKelly/@uom"/>):</a>
@@ -2595,5 +2604,6 @@
 			</td>
 			<td class="light">
-				<xsl:value-of select="witsml:tightWell"/>
+				<xsl:if test="witsml:tightWell='true'">yes</xsl:if>
+				<xsl:if test="witsml:tightWell='false'">no</xsl:if>
 			</td>
 			<td class="ColHead">
@@ -2601,5 +2611,6 @@
 			</td>
 			<td class="light">
-				<xsl:value-of select="witsml:hpht" />
+				<xsl:if test="witsml:hpht='true'">yes</xsl:if>
+				<xsl:if test="witsml:hpht='false'">no</xsl:if>
 			</td>
 		</tr>
@@ -2630,6 +2641,6 @@
 				<xsl:value-of select="$element_rigTypes//xsd:enumeration[@value=$element_rigType]" />
 			</td>
-		<!-- END Added 07feb2011 -->
-		<!-- wellbore type and kick off -->
+			<!-- END Added 07feb2011 -->
+			<!-- wellbore type and kick off -->
 			<td class="dark">
 				<a target="_blank" href="{$url_typeWellbore}">Wellbore type:</a>
@@ -2638,6 +2649,6 @@
 				<xsl:value-of select="witsml:typeWellbore"/>
 			</td>
-			</tr>
-			<tr class="light">
+		</tr>
+		<tr class="light">
 			<td class="dark">
 				<a target="_blank" href="{$url_mdKickoff}">Depth at Kick Off mMD:</a>
@@ -2666,6 +2677,6 @@
 				<xsl:value-of select="witsml:tvd"/>
 			</td>
-			</tr>
-			<tr class="light">
+		</tr>
+		<tr class="light">
 			<td>
 				<a target="_blank" href="{$url_mdPlugTop}">Plug Back Depth mMD:</a>
@@ -2680,5 +2691,5 @@
 				<xsl:value-of select="witsml:distDrill"/>
 			</td>
-			</tr>
+		</tr>
 		<tr class="light">
 			<!-- 
@@ -2692,5 +2703,5 @@
 				<xsl:value-of select="witsml:ropCurrent"/>
 			</td>
-		<!-- hole dia -->
+			<!-- hole dia -->
 			<td width="160">
 				<a target="_blank" href="{$url_diaHole}">Hole Dia <xsl:value-of select="witsml:diaHole/@uom"/>:</a>
@@ -2699,5 +2710,5 @@
 				<xsl:value-of select="witsml:diaHole"/>
 			</td>
-			</tr>
+		</tr>
 		<tr class="light">
 			<td>
@@ -2707,5 +2718,5 @@
 				<xsl:value-of select="witsml:presTestType"/>
 			</td>
-		<!-- formation strength and  pressure test -->
+			<!-- formation strength and  pressure test -->
 			<td width="160">
 				<a target="_blank" href="{$url_strengthForm}">Formation Strength <xsl:value-of select="witsml:strengthForm/@uom"/>:</a>
@@ -2714,5 +2725,5 @@
 				<xsl:value-of select="witsml:strengthForm"/>
 			</td>
-			</tr>
+		</tr>
 		<tr class="light">
 			<td width="215">