Index: /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo (revision 159)
+++ /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo (revision 160)
@@ -1040,5 +1040,5 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block>MD Top/Hanganr</fo:block>
+													<fo:block>MD Top/Hangar</fo:block>
 													<fo:block>
 														<fo:inline>m</fo:inline>
@@ -1971,9 +1971,12 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(20)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="4"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="6"/>
+										<fo:table-column column-width="12.500" column-number="7"/>
+										<fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -2009,4 +2012,13 @@
 													<fo:block>mTVD</fo:block>
 												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
 											</fo:table-row>
 											<fo:table-row>
@@ -2036,4 +2048,13 @@
 													</fo:block>
 												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
 											</fo:table-row>
 											<fo:table-row>
@@ -2062,4 +2083,13 @@
 														<fo:inline>9123.4232</fo:inline>
 													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -2094,8 +2124,12 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(25)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="6"/>
+										<fo:table-column column-width="12.500" column-number="7"/>
+										<fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -2122,4 +2156,16 @@
 													</fo:block>
 												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
 											</fo:table-row>
 											<fo:table-row>
@@ -2143,4 +2189,16 @@
 														<fo:inline>55.5</fo:inline>
 													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -2188,10 +2246,12 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="4"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="5"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="6"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="6"/>
+										<fo:table-column column-width="12.500" column-number="7"/>
+										<fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -2234,4 +2294,10 @@
 													</fo:block>
 												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
 											</fo:table-row>
 											<fo:table-row>
@@ -2264,4 +2330,10 @@
 													<fo:block/>
 												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
 											</fo:table-row>
 											<fo:table-row>
@@ -2293,4 +2365,10 @@
 														<fo:inline>85.6</fo:inline>
 													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -2867,7 +2945,12 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="6"/>
+										<fo:table-column column-width="12.500" column-number="7"/>
+										<fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -2889,4 +2972,19 @@
 													</fo:block>
 												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
 											</fo:table-row>
 											<fo:table-row>
@@ -2905,4 +3003,19 @@
 														<fo:inline>bla bla bla</fo:inline>
 													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -3672,5 +3785,5 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(7.692)" column-number="1"/>
+										<fo:table-column column-width="proportional-column-width(11)" column-number="1"/>
 										<fo:table-column column-width="proportional-column-width(7.692)" column-number="2"/>
 										<fo:table-column column-width="proportional-column-width(7.692)" column-number="3"/>
@@ -3679,6 +3792,6 @@
 										<fo:table-column column-width="proportional-column-width(7.692)" column-number="6"/>
 										<fo:table-column column-width="proportional-column-width(7.692)" column-number="7"/>
-										<fo:table-column column-width="proportional-column-width(7.692)" column-number="8"/>
-										<fo:table-column column-width="proportional-column-width(7.692)" column-number="9"/>
+										<fo:table-column column-width="proportional-column-width(6.038)" column-number="8"/>
+										<fo:table-column column-width="proportional-column-width(6.038)" column-number="9"/>
 										<fo:table-column column-width="proportional-column-width(7.692)" column-number="10"/>
 										<fo:table-column column-width="proportional-column-width(7.692)" column-number="11"/>
@@ -3781,5 +3894,5 @@
 												<fo:table-cell>
 													<fo:block>
-														<fo:inline>2001-12-31T02:00</fo:inline>
+														<fo:inline>02:00:00.000Z</fo:inline>
 													</fo:block>
 												</fo:table-cell>
Index: /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl (revision 159)
+++ /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl (revision 160)
@@ -3,9 +3,9 @@
 <xslt:output indent="yes" encoding="utf-8"/>
 <xslt:param name="XFCrtLocalDate">2011-03-30</xslt:param>
-<xslt:param name="XFCrtLocalTime">10:29:36</xslt:param>
-<xslt:param name="XFCrtLocalDateTime">2011-03-30T10:29:36</xslt:param>
+<xslt:param name="XFCrtLocalTime">13:40:29</xslt:param>
+<xslt:param name="XFCrtLocalDateTime">2011-03-30T13:40:29</xslt:param>
 <xslt:param name="XFCrtUTCDate">2011-03-30</xslt:param>
-<xslt:param name="XFCrtUTCTime">08:29:36</xslt:param>
-<xslt:param name="XFCrtUTCDateTime">2011-03-30T08:29:36</xslt:param>
+<xslt:param name="XFCrtUTCTime">11:40:29</xslt:param>
+<xslt:param name="XFCrtUTCDateTime">2011-03-30T11:40:29</xslt:param>
 <xslt:param name="XFOutputFormat"/>
 <!--
@@ -1246,5 +1246,5 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block>MD Top/Hanganr</fo:block>
+													<fo:block>MD Top/Hangar</fo:block>
 													<fo:block>
 														<xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:casing_liner_tubing/witsml:mdTop/@uom)"><fo:inline>
@@ -1773,9 +1773,9 @@
 							<fo:table-cell>
 								<fo:block><fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(20)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="4"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="5"/><fo:table-column column-width="12.500" column-number="6"/><fo:table-column column-width="12.500" column-number="7"/><fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -1812,4 +1812,13 @@
 													</fo:block>
 													<fo:block>mTVD</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
 												</fo:table-cell>
 											</fo:table-row>
@@ -1850,4 +1859,10 @@
 </fo:inline></xsl:if>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -1895,8 +1910,8 @@
 							<fo:table-cell>
 								<fo:block><fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(25)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/><fo:table-column column-width="12.500" column-number="5"/><fo:table-column column-width="12.500" column-number="6"/><fo:table-column column-width="12.500" column-number="7"/><fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -1922,4 +1937,12 @@
 														<fo:basic-link external-destination="url({$url_azi})">Azimuth</fo:basic-link>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -1953,4 +1976,12 @@
 </fo:inline></xsl:if>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -2019,10 +2050,10 @@
 							<fo:table-cell>
 								<fo:block><fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="4"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="5"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="6"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="6"/><fo:table-column column-width="12.500" column-number="7"/><fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -2068,4 +2099,10 @@
 </fo:inline></xsl:if>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
 												</fo:table-cell>
 											</fo:table-row>
@@ -2113,4 +2150,8 @@
 </fo:inline></xsl:if>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -2914,9 +2955,9 @@
 							<fo:table-cell>
 								<fo:block><fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/><fo:table-column column-width="12.500" column-number="4"/><fo:table-column column-width="12.500" column-number="5"/><fo:table-column column-width="12.500" column-number="6"/><fo:table-column column-width="12.500" column-number="7"/><fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
-											<fo:table-row font-weight="bold">
+											<fo:table-row font-weight="bold" height="29.680px" overflow="hidden">
 												<fo:table-cell>
 													<fo:block>
@@ -2935,4 +2976,14 @@
 														<fo:basic-link external-destination="url({$url_description})">Formation name</fo:basic-link>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -2959,4 +3010,14 @@
 </fo:inline></xsl:if>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -3811,6 +3872,6 @@
 												<fo:table-cell>
 													<fo:block>
-														<xsl:if test="string(substring(witsml:dTim, 0, 17))"><fo:inline>
-<xsl:value-of select="substring(witsml:dTim, 0, 17)"/>
+														<xsl:if test="string(substring-after(witsml:dTim, 'T'))"><fo:inline>
+<xsl:value-of select="substring-after(witsml:dTim, 'T')"/>
 </fo:inline></xsl:if>
 													</fo:block>
Index: /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xfd
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xfd (revision 159)
+++ /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xfd (revision 160)
@@ -1049,5 +1049,5 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block>MD Top/Hanganr</fo:block>
+													<fo:block>MD Top/Hangar</fo:block>
 													<fo:block>
 														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:casing_liner_tubing/witsml:mdTop/@uom"/>
@@ -1490,9 +1490,9 @@
 							<fo:table-cell>
 								<fo:block><fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(20)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="4"/>
-										<fo:table-column column-width="proportional-column-width(20)" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="5"/><fo:table-column column-width="12.500" column-number="6"/><fo:table-column column-width="12.500" column-number="7"/><fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -1527,4 +1527,13 @@
 													</fo:block>
 													<fo:block>mTVD</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
 												</fo:table-cell>
 											</fo:table-row>
@@ -1554,4 +1563,10 @@
 														<xfd:field xpath="witsml:tvd"/>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</xfd:table-row-repeat>
@@ -1598,8 +1613,8 @@
 							<fo:table-cell>
 								<fo:block><fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(25)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(25)" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/><fo:table-column column-width="12.500" column-number="5"/><fo:table-column column-width="12.500" column-number="6"/><fo:table-column column-width="12.500" column-number="7"/><fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -1625,4 +1640,12 @@
 														<fo:basic-link external-destination="url({$url_azi})">Azimuth</fo:basic-link>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -1647,4 +1670,12 @@
 														<xfd:field xpath="witsml:azi"/>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</xfd:table-row-repeat>
@@ -1710,10 +1741,10 @@
 							<fo:table-cell>
 								<fo:block><fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="4"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="5"/>
-										<fo:table-column column-width="proportional-column-width(16.667)" column-number="6"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="4"/>
+										<fo:table-column column-width="12.500" column-number="5"/>
+										<fo:table-column column-width="12.500" column-number="6"/><fo:table-column column-width="12.500" column-number="7"/><fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -1755,4 +1786,10 @@
 														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:logInfo/witsml:tempBHST/@uom"/>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+													
 												</fo:table-cell>
 											</fo:table-row>
@@ -1787,4 +1824,8 @@
 														<xfd:field xpath="witsml:tempBHST"/>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</xfd:table-row-repeat>
@@ -2475,9 +2516,9 @@
 							<fo:table-cell>
 								<fo:block><fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(33.333)" column-number="3"/>
+										<fo:table-column column-width="12.500" column-number="1"/>
+										<fo:table-column column-width="12.500" column-number="2"/>
+										<fo:table-column column-width="12.500" column-number="3"/><fo:table-column column-width="12.500" column-number="4"/><fo:table-column column-width="12.500" column-number="5"/><fo:table-column column-width="12.500" column-number="6"/><fo:table-column column-width="12.500" column-number="7"/><fo:table-column column-width="12.500" column-number="8"/>
 										<fo:table-body>
-											<fo:table-row font-weight="bold">
+											<fo:table-row font-weight="bold" height="29.680px" overflow="hidden">
 												<fo:table-cell>
 													<fo:block>
@@ -2496,4 +2537,14 @@
 														<fo:basic-link external-destination="url({$url_description})">Formation name</fo:basic-link>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -2513,4 +2564,14 @@
 														<xfd:field xpath="witsml:description"/>
 													</fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
+												</fo:table-cell><fo:table-cell>
+													<fo:block> </fo:block>
 												</fo:table-cell>
 											</xfd:table-row-repeat>
@@ -3271,5 +3332,5 @@
 												<fo:table-cell>
 													<fo:block>
-														<xfd:field xpath="substring(witsml:dTim, 0, 17)"/>
+														<xfd:field xpath="substring-after(witsml:dTim, 'T')"/>
 													</fo:block>
 												</fo:table-cell>