Index: /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo (revision 160)
+++ /projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo (revision 167)
@@ -1971,12 +1971,12 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="12.500" column-number="1"/>
-										<fo:table-column column-width="12.500" column-number="2"/>
-										<fo:table-column column-width="12.500" column-number="3"/>
-										<fo:table-column column-width="12.500" column-number="4"/>
-										<fo:table-column column-width="12.500" column-number="5"/>
-										<fo:table-column column-width="12.500" column-number="6"/>
-										<fo:table-column column-width="12.500" column-number="7"/>
-										<fo:table-column column-width="12.500" column-number="8"/>
+										<fo:table-column column-width="15.000%" column-number="1"/>
+										<fo:table-column column-width="15.000%" column-number="2"/>
+										<fo:table-column column-width="15.000%" column-number="3"/>
+										<fo:table-column column-width="15.000%" column-number="4"/>
+										<fo:table-column column-width="15.000%" column-number="5"/>
+										<fo:table-column column-width="10.000%" column-number="6"/>
+										<fo:table-column column-width="10.000%" column-number="7"/>
+										<fo:table-column column-width="5.000%" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -2124,12 +2124,12 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="12.500" column-number="1"/>
-										<fo:table-column column-width="12.500" column-number="2"/>
-										<fo:table-column column-width="12.500" column-number="3"/>
-										<fo:table-column column-width="12.500" column-number="4"/>
-										<fo:table-column column-width="12.500" column-number="5"/>
-										<fo:table-column column-width="12.500" column-number="6"/>
-										<fo:table-column column-width="12.500" column-number="7"/>
-										<fo:table-column column-width="12.500" column-number="8"/>
+										<fo:table-column column-width="12.500%" column-number="1"/>
+										<fo:table-column column-width="12.500%" column-number="2"/>
+										<fo:table-column column-width="12.500%" column-number="3"/>
+										<fo:table-column column-width="12.500%" column-number="4"/>
+										<fo:table-column column-width="12.500%" column-number="5"/>
+										<fo:table-column column-width="12.500%" column-number="6"/>
+										<fo:table-column column-width="12.500%" column-number="7"/>
+										<fo:table-column column-width="12.500%" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -2246,12 +2246,12 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="12.500" column-number="1"/>
-										<fo:table-column column-width="12.500" column-number="2"/>
-										<fo:table-column column-width="12.500" column-number="3"/>
-										<fo:table-column column-width="12.500" column-number="4"/>
-										<fo:table-column column-width="12.500" column-number="5"/>
-										<fo:table-column column-width="12.500" column-number="6"/>
-										<fo:table-column column-width="12.500" column-number="7"/>
-										<fo:table-column column-width="12.500" column-number="8"/>
+										<fo:table-column column-width="12.500%" column-number="1"/>
+										<fo:table-column column-width="12.500%" column-number="2"/>
+										<fo:table-column column-width="12.500%" column-number="3"/>
+										<fo:table-column column-width="12.500%" column-number="4"/>
+										<fo:table-column column-width="12.500%" column-number="5"/>
+										<fo:table-column column-width="12.500%" column-number="6"/>
+										<fo:table-column column-width="12.500%" column-number="7"/>
+										<fo:table-column column-width="12.500%" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">
@@ -2945,12 +2945,12 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="12.500" column-number="1"/>
-										<fo:table-column column-width="12.500" column-number="2"/>
-										<fo:table-column column-width="12.500" column-number="3"/>
-										<fo:table-column column-width="12.500" column-number="4"/>
-										<fo:table-column column-width="12.500" column-number="5"/>
-										<fo:table-column column-width="12.500" column-number="6"/>
-										<fo:table-column column-width="12.500" column-number="7"/>
-										<fo:table-column column-width="12.500" column-number="8"/>
+										<fo:table-column column-width="12.500%" column-number="1"/>
+										<fo:table-column column-width="12.500%" column-number="2"/>
+										<fo:table-column column-width="12.500%" column-number="3"/>
+										<fo:table-column column-width="12.500%" column-number="4"/>
+										<fo:table-column column-width="12.500%" column-number="5"/>
+										<fo:table-column column-width="12.500%" column-number="6"/>
+										<fo:table-column column-width="12.500%" column-number="7"/>
+										<fo:table-column column-width="12.500%" column-number="8"/>
 										<fo:table-body>
 											<fo:table-row font-weight="bold">