Index: /projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 159)
+++ /projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 171)
@@ -168,5 +168,5 @@
 		</xsd:annotation>
 		<xsd:sequence>
-			<xsd:element name="diaBit" type="witsml:lengthMeasureInch" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831442">
+			<xsd:element name="diaBit" type="witsml:lengthMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831442">
 				<!--PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element diaBit.-->
 
@@ -364,5 +364,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="jobType" type="witsml:cementJobType" minOccurs="0" maxOccurs="1">
+			<xsd:element name="jobType" type="witsml:cementJobTypes" minOccurs="0" maxOccurs="1">
 				<!-- PROFILE: Added element jobType -->
 				<xsd:annotation>
@@ -1886,5 +1886,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="rigType" type="witsml:rigTypes" minOccurs="0" maxOccurs="1">
+			<xsd:element name="fixedRig" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
 				<!-- PROFILE: Added element rigType -->
 				<xsd:annotation>
@@ -1936,22 +1936,4 @@
 		</xsd:attribute>
 	</xsd:complexType>
-	<!-- Rig types -->
-	<xsd:simpleType name="rigTypes">
-		<xsd:annotation>
-			<xsd:documentation>The classification of rig types.</xsd:documentation>
-		</xsd:annotation>
-		<xsd:restriction base="witsml:abstractTypeEnum">
-			<xsd:enumeration value="Fixed rig">
-				<xsd:annotation>
-					<xsd:documentation>Fixed rig</xsd:documentation>
-				</xsd:annotation>
-			</xsd:enumeration>
-			<xsd:enumeration value="Moveable rig">
-				<xsd:annotation>
-					<xsd:documentation>Moveable rig</xsd:documentation>
-				</xsd:annotation>
-			</xsd:enumeration>
-		</xsd:restriction>
-	</xsd:simpleType>
 	<xsd:complexType name="cs_drillReportStratInfo">
 		<xsd:annotation>
@@ -5561,4 +5543,5 @@
 		<xsd:restriction base="witsml:abstractUomEnum">
 			<xsd:enumeration value="ft3/sack94"/>
+			<xsd:enumeration value="ft3/sack"/>
 		</xsd:restriction>
 	</xsd:simpleType>
@@ -5573,4 +5556,5 @@
 		<xsd:restriction base="witsml:abstractUomEnum">
 			<xsd:enumeration value="galUS/sack94"/>
+			<xsd:enumeration value="gal/sack"/>
 		</xsd:restriction>
 	</xsd:simpleType>
@@ -5895,5 +5879,7 @@
 	<xsd:simpleType name="specificVolumeUom">
 		<xsd:restriction base="witsml:abstractUomEnum">
+			<xsd:enumeration value="ft3/sack"/>
 			<xsd:enumeration value="ft3/sack94"/>
+			<xsd:enumeration value="gal/sack"/>
 			<xsd:enumeration value="galUS/sack94"/>
 		</xsd:restriction>
Index: /projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 159)
+++ /projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 171)
@@ -91,8 +91,8 @@
 			<witsml:avgPresBH uom="psig">2</witsml:avgPresBH>
 			<witsml:expTempBH uom="degC">20</witsml:expTempBH>
-			<witsml:rigType>Fixed rig</witsml:rigType>
+			<witsml:fixedRig>true</witsml:fixedRig>
 		</witsml:statusInfo>
 		<witsml:bitRecord>
-			<witsml:diaBit uom="in">24,6</witsml:diaBit>
+			<witsml:diaBit uom="in">24.6</witsml:diaBit>
 			<witsml:numBit>1</witsml:numBit>
 			<witsml:codeMfg>SSB</witsml:codeMfg>
Index: /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 159)
+++ /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 171)
@@ -492,7 +492,4 @@
 												<a target="_blank" href="{$urlRDS}">Run time</a>
 											</td>
-											<td align="center" width="100" valign="top">
-												<a target="_blank" href="{$urlRDS}">Description</a>
-											</td>
 											<td align="center" width="60" valign="top">
 												<a target="_blank" href="{$urlRDS}">Nominal outside diameter<br />
@@ -522,12 +519,15 @@
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Top/Hangar MD<br />
+												<a target="_blank" href="{$urlRDS}">MD Top/Hangar<br />
 													<xsl:value-of select="witsml:casing_liner_tubing/witsml:mdTop/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Bottom/Shoe MD<br />
+												<a target="_blank" href="{$urlRDS}">MD Bottom/Shoe<br />
 													<xsl:value-of select="witsml:casing_liner_tubing/witsml:mdBottom/@uom"/>
 												</a>
+											</td>
+											<td align="center" width="100" valign="top">
+												<a target="_blank" href="{$urlRDS}">Description</a>
 											</td>
 										</tr>
@@ -543,32 +543,32 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimStart, 0, 17), 'T')"/>
+													<xsl:value-of select="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimEnd, 0, 17), 'T')"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:od"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:id"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:weight"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:grade"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:connection"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:length"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:mdTop"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:mdBottom"/>
 												</td>
 												<td align="center">
 													<xsl:value-of select="witsml:casing_liner_tubing_run/witsml:description"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:od"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:id"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:weight"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:grade"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:connection"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:length"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:mdTop"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="witsml:mdBottom"/>
 												</td>
 											</tr>
@@ -614,7 +614,4 @@
 													<a target="_blank" href="{$urlRDS}">Casing string diameter</a>
 												</td>
-												<td align="center" width="100" valign="top">
-													<a target="_blank" href="{$urlRDS}">Comments</a>
-												</td>
 												<td align="center" width="60" valign="top">
 													<a target="_blank" href="{$urlRDS}">Top plug used</a>
@@ -649,4 +646,7 @@
 													<a target="_blank" href="{$urlRDS}">Rotated</a>
 												</td>
+												<td align="center" width="100" valign="top">
+													<a target="_blank" href="{$urlRDS}">Comments</a>
+												</td>
 											</tr>
 											<tr class="light">
@@ -664,7 +664,4 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:comments"/>
-												</td>
-												<td align="center">
 													<xsl:if test="witsml:topPlug='true' or witsml:topPlug='1'">yes</xsl:if>
 													<xsl:if test="witsml:topPlug='false' or witsml:topPlug='0'">no</xsl:if>
@@ -702,4 +699,7 @@
 													<xsl:if test="witsml:rotated='true' or witsml:rotated='1'">yes</xsl:if>
 													<xsl:if test="witsml:rotated='false' or witsml:rotated='0'">no</xsl:if>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:comments"/>
 												</td>
 											</tr>
@@ -2631,9 +2631,11 @@
 			<!-- Added 07feb2011 -->
 			<td class="ColHead">
-				<a target="_blank" href="{$urlRDS}">Rig Type:</a>
+				<a target="_blank" href="{$urlRDS}">Fixed rig:</a>
 			</td>
 			<td class="light">
-				<xsl:variable name="element_rigType" select="witsml:rigType" />
-				<xsl:value-of select="$element_rigTypes//xsd:enumeration[@value=$element_rigType]" />
+			<xsl:if test="witsml:fixedRig='true' or witsml:fixedRig='1'">yes</xsl:if>
+				<xsl:if test="witsml:fixedRig='false' or witsml:fixedRig='0'">no</xsl:if>
+				<!--<xsl:variable name="element_rigType" select="witsml:rigType" />
+				<xsl:value-of select="$element_rigTypes//xsd:enumeration[@value=$element_rigType]" />-->
 			</td>
 			<!-- END Added 07feb2011 -->
@@ -2750,4 +2752,6 @@
 				<xsl:value-of select="witsml:mdCsgLast"/>
 			</td>
+			</tr>
+		<tr class="light">
 			<td class="dark">
 				<a target="_blank" href="{$url_tvdCsgLast}">Depth At Last Casing mTVD:</a>