Index: projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_PDFReport_transformation_2011_03_09.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_PDFReport_transformation_2011_03_09.xsl (revision 177)
+++ projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_PDFReport_transformation_2011_03_09.xsl (revision 179)
@@ -415,11 +415,12 @@
 								<fo:table-row>
 									<fo:table-cell vertical-align="middle">
-										<fo:block font-weight="bold">Rig type</fo:block>
-									</fo:table-cell>
-									<fo:table-cell vertical-align="middle">
-										<fo:block>
-											<xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:rigType)">
+										<fo:block font-weight="bold">Fixed rig</fo:block>
+									</fo:table-cell>
+									<fo:table-cell vertical-align="middle">
+										<fo:block>
+											<xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:fixedRig)">
 												<fo:inline>
-													<xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:rigType"/>
+													<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:fixedRig='true' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:fixedRig='1'">yes</xsl:if>
+													<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:fixedRig='false' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:fixedRig='0'">no</xsl:if>
 												</fo:inline>
 											</xsl:if>
@@ -781,7 +782,7 @@
 												<fo:table-column column-width="proportional-column-width(6)" column-number="4"/>
 												<fo:table-column column-width="proportional-column-width(6)" column-number="5"/>
-												<fo:table-column column-width="proportional-column-width(10)" column-number="6"/>
+												<fo:table-column column-width="proportional-column-width(12)" column-number="6"/>
 												<fo:table-column column-width="proportional-column-width(10)" column-number="7"/>
-												<fo:table-column column-width="proportional-column-width(50)" column-number="8"/>
+												<fo:table-column column-width="proportional-column-width(48)" column-number="8"/>
 												<fo:table-body>
 													<fo:table-row font-weight="bold">
@@ -1631,14 +1632,14 @@
 														<fo:table-column column-width="proportional-column-width(6.5)" column-number="4"/>
 														<fo:table-column column-width="proportional-column-width(6.5)" column-number="5"/>
-														<fo:table-column column-width="proportional-column-width(6)" column-number="6"/>
+														<fo:table-column column-width="proportional-column-width(7)" column-number="6"/>
 														<fo:table-column column-width="proportional-column-width(6)" column-number="7"/>
 														<fo:table-column column-width="proportional-column-width(6.5)" column-number="8"/>
 														<fo:table-column column-width="proportional-column-width(5.5)" column-number="9"/>
-														<fo:table-column column-width="proportional-column-width(10)" column-number="10"/>
+														<fo:table-column column-width="proportional-column-width(9)" column-number="10"/>
 														<fo:table-column column-width="proportional-column-width(6.5)" column-number="11"/>
 														<fo:table-column column-width="proportional-column-width(6.5)" column-number="12"/>
-														<fo:table-column column-width="proportional-column-width(8.5)" column-number="13"/>
+														<fo:table-column column-width="proportional-column-width(9)" column-number="13"/>
 														<fo:table-column column-width="proportional-column-width(6.5)" column-number="14"/>
-														<fo:table-column column-width="proportional-column-width(8.5)" column-number="15"/>
+														<fo:table-column column-width="proportional-column-width(8)" column-number="15"/>
 														<fo:table-body>
 															<fo:table-row font-weight="bold">
@@ -1852,13 +1853,13 @@
 												<fo:block>
 													<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="1"/>
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="2"/>
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="3"/>
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="4"/>
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="5"/>
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="6"/>
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="7"/>
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="8"/>
-														<fo:table-column column-width="proportional-column-width(8.333)" column-number="9"/>
+														<fo:table-column column-width="proportional-column-width(10)" column-number="1"/>
+														<fo:table-column column-width="proportional-column-width(12)" column-number="2"/>
+														<fo:table-column column-width="proportional-column-width(10)" column-number="3"/>
+														<fo:table-column column-width="proportional-column-width(10)" column-number="4"/>
+														<fo:table-column column-width="proportional-column-width(10)" column-number="5"/>
+														<fo:table-column column-width="proportional-column-width(10)" column-number="6"/>
+														<fo:table-column column-width="proportional-column-width(10)" column-number="7"/>
+														<fo:table-column column-width="proportional-column-width(10)" column-number="8"/>
+														<fo:table-column column-width="proportional-column-width(18)" column-number="9"/>
 														<fo:table-body>
 															<fo:table-row font-weight="bold">
@@ -2033,5 +2034,5 @@
 					</fo:block>
 					<xslt:comment> Pore pressure </xslt:comment>
-					<fo:block break-before="page">
+					<fo:block>
 						<fo:leader rule-thickness="2px" leader-length="100%" leader-pattern="rule"/>
 						<fo:leader/>
@@ -2733,5 +2734,5 @@
 					</fo:block>
 					<xslt:comment> Well Test Information </xslt:comment>
-					<fo:block break-before="page">
+					<fo:block>
 						<xsl:variable name="element_drillReportWellTestInfo" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cs_drillReportWellTestInfo']/xsd:sequence"/>
 						<xsl:variable name="url_dTim">
@@ -3811,6 +3812,7 @@
 																<fo:table-cell>
 																	<fo:block>
-																		<fo:basic-link external-destination="url({$url_tvdInflow})">Depth of well mTVD</fo:basic-link>
-																	</fo:block>
+																		<fo:basic-link external-destination="url({$url_tvdInflow})">Depth of well</fo:basic-link>
+																	</fo:block>
+																	<fo:block>mTVD</fo:block>
 																</fo:table-cell>
 																<fo:table-cell>
@@ -3945,7 +3947,7 @@
 																<fo:table-cell>
 																	<fo:block>
-																		<xsl:if test="string(witsml:tvdInFlow)">
+																		<xsl:if test="string(witsml:tvdInflow)">
 																			<fo:inline>
-																				<xsl:value-of select="witsml:tvdInFlow"/>
+																				<xsl:value-of select="witsml:tvdInflow"/>
 																			</fo:inline>
 																		</xsl:if>