Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 174)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 180)
@@ -186,9 +186,9 @@
 			<xsd:element name="manufacturer" type="witsml:nameString" minOccurs="0" maxOccurs="1"
          sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831532">
-            <!--PROFILE: Changed minOccurs from 0 to 1 for element manufacturer.-->
-            <xsd:annotation>
-               <xsd:documentation>Manufacturer / supplier of the item.</xsd:documentation>
-            </xsd:annotation>
-         </xsd:element>
+				<!--PROFILE: Changed minOccurs from 0 to 1 for element manufacturer.-->
+				<xsd:annotation>
+					<xsd:documentation>Manufacturer / supplier of the item.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
 			<!--PROFILE: Deleted element typeBit.-->
 			<!--PROFILE: Deleted element cost.-->
@@ -519,25 +519,25 @@
 			<xsd:enumeration value="primary">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="plug">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="squeeze">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="unknown">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="other">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
@@ -667,20 +667,20 @@
 			<xsd:enumeration value="Mud">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Wash">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Spacer">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Slurry">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
@@ -2503,15 +2503,15 @@
 			<xsd:enumeration value="Top">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Intermediate">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Production">
 				<xsd:annotation>
-					<xsd:documentation></xsd:documentation>
+					<xsd:documentation/>
 				</xsd:annotation>
 			</xsd:enumeration>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_style5.xml
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_style5.xml (revision 130)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_style5.xml (revision 180)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<?xml-stylesheet type="text/xsl" href="ddr_HTMLReport_transformation.xsl"?>
+<?xml-stylesheet type="text/xsl" href="ddr_HTMLReport_transformation_2011_02_07.xsl"?>
 <witsml:drillReports 
 	version="1.4.0.0" 
-	xsi:schemaLocation="http://www.witsml.org/schemas/1series WITSML_drillReport_profiled_schema_2009-04-06_ddrPhase2.xsd" 
+	xsi:schemaLocation="http://www.witsml.org/schemas/1series WITSML_drillReport_profiled_schema_2011_01_29.xsd" 
 	xmlns:witsml="http://www.witsml.org/schemas/1series" 
 	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">